vf.splash = 1;
vf.reload = 1;
vf.debug = 1;

vf.back_btn_default = {
  id:     'back_default',
  color:  'red',
  func:  {
    evt: 'mousedown',
    action: function(){ stop_tweet_scroller(); }
  }
}

vf.close_btn_default = {
  id:     'close_default',
  text:   'Close',
  color:  'red',
  width_class: '',
  func:  {
    evt: 'mousedown',
    action: function(){ stop_tweet_scroller(); }
  }
}

vf.preferences_btn_default = {
  id:     'preferences_default',
  txt:    'Preferences',
  color:  'blue',
  width_class: 'float_right',
  func:  {
    evt: 'mousedown',
    action: function(){ show_preferences_page(); }
  }
}


vf.info_btn = {
  id:     'info_default',
  txt:    'Info',
  color:  'softgreen',
  width_class: 'float_left',
  func:   {
    evt: 'mousedown',
    action: function(){ vf.show_page('info'); }
  }
}


/* Bind preferences to default buttons */
vf.back_btn = {
  id:     'back',
  txt:    'Back',
  color:  'red',
  func:  {
    evt: 'mousedown',
    action: function() { show_main_page(); }
  }
};

vf.store_preferences_btn = {
  id:     'store_preferences_back_btn',
  txt:    'Store',
  color:  'red',
  func:  {
    evt: 'mousedown',
    action: function() { store_preferences(); }
  }
};


vf.close_btn = {
  id:     'close',
  text:   'Close',
  color:  'red',
  func:  {
    evt: 'mousedown',
    action: function() { if (typeof(android) != 'undefined') android.close(); else window.close(); }
  }
};

vf.preferences_btn = {
  id:     'preferences',
  txt:    'Preferences',
  color:  'blue',
  func:  {
    evt: 'mousedown',
    action: function() { show_preferences_page(); }
  }
};

vf.pages = {
	  tweets: {
		  header: {
			  is_active:        1,
			  nav_elem:         [vf.back_btn_default]
		  }
	  },
	  preferences: {
		  header: {
			  is_active:        1,
			  nav_elem:         [vf.store_preferences_btn]
		  },
		  footer: {
			  is_active:        1,
			  nav_elem:         [vf.store_preferences_btn]
		  }
	  },
	  info: {
		  header: {
			  is_active:        1,
			  nav_elem:         [vf.back_btn]
		  },
		  footer: {
			  is_active:        1,
			  nav_elem:         [vf.back_btn]
		  }
	  },
	  main: {
		  header: {
			  is_active:        1,
			  nav_elem:         [vf.info_btn,vf.preferences_btn_default]
		  },
		  footer: {
			  is_active:        1,
			  nav_elem:         [ { id:     'search_btn',
								    txt:    'Search',
								    color:  'orange',
								    func:  {
									evt: 'mousedown',
									action: function() { start_tweet_scroller(); }
									}	
								  } 
								]
		  }
	  }
};
